Fibo · Structured Prompt
Whakauru
bria/fibo/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Karangahia te tauira Fibo · Structured Prompt (bria/fibo/generate/structured_prompt) mā te Doitong API. Tuhinga mō ngā āpiha: https://doitong.com/mi/developers/models/bria/fibo/generate/structured_prompt.md
POST https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Mēnā ko "queued" "running" rānei te tūnga whakautu, uiuitia GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 kia "succeeded"; kei outputs[].url ngā kōnae. Ko POST https://api.doitong.com/v1/quote/bria/fibo/generate/structured_prompt me taua tinana anō ka whakahoki i te utu tika i mua i te whakahaere.
Tēnei tono: $ 0.01 10 whiwhinga API Whakahaerehia ki tēnei whārangi
Tō kī API hou. Ka whakaaturia ināianei anake, ā, kua whakaurua kētia ki te waehere me te āpure kī API kei raro. Me huna: kaua rawa e waiho ki te waehere e whakahaere ana i roto i te pūtirotiro.
Kei konei tō hua tuatahi
Hangaia he tono ki raro nei, ka whakahaere mā tō kī API. Ka tāruatia ngā putanga ki tō mātou rokiroki, ka puritia mō ake tonu atu, mō rānei 7 rā mō te kore utu.
Hangaia he tono
Ka hangaia ngā mana whakahaere mai i te aronuinga o te tauira. Ka whakahoungia te waehere me te utu ina whakarerekē koe.
/run/bria/fibo/generate/structured_prompt?wait=20
utu → $ 0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Whakahaerehia tēnei tono
Ka noho tō kī ki tēnei pūtirotiro: ka tukuna ki te Doitong API anake, ā, ka tiakina ki te localStorage anake ina tohua e koe te Mahara. Tikina he kī API
Mō Fibo · Structured Prompt
He pito API āhua tauira reo e whakahoki ana i te tohutohu hanganga mō tētahi atahanga, kaua ko te atahanga ake. Ko ngā tāuru ko `prompt`, tētahi `structured_prompt` o nāianei, tētahi `image_url` tohutoro rānei, me `seed`. Kei te putanga JSON ngā āpure pēnei i te rerehua, te rama, ngā ahanoa, ngā āhuatanga whakaahua, te whakaahuatanga poto, te reo kāhua me te kuputuhi hei tā.
Ngā tawhā
Tukuna te ingoa tōmua, te ingoa taketake rānei, kaua e rua. Ngā ingoa tōmua
promptkōwhiringa
structured_promptkōwhiringa
structured_prompt.short_descriptionkōwhiringa
structured_prompt.objectskōwhiringa
structured_prompt.objects[].descriptionkōwhiringa
structured_prompt.objects[].locationkōwhiringa
structured_prompt.objects[].relationshipe hiahiatia ana
structured_prompt.objects[].relative_sizekōwhiringa
structured_prompt.objects[].shape_and_colorkōwhiringa
structured_prompt.objects[].texturekōwhiringa
structured_prompt.objects[].appearance_detailskōwhiringa
structured_prompt.objects[].number_of_objectskōwhiringa
structured_prompt.objects[].posekōwhiringa
structured_prompt.objects[].expressionkōwhiringa
structured_prompt.objects[].clothingkōwhiringa
structured_prompt.objects[].actionkōwhiringa
structured_prompt.objects[].genderkōwhiringa
structured_prompt.objects[].skin_tone_and_texturekōwhiringa
structured_prompt.objects[].orientationkōwhiringa
structured_prompt.background_settingkōwhiringa
structured_prompt.lightingkōwhiringa
structured_prompt.lighting.conditionskōwhiringa
structured_prompt.lighting.directionkōwhiringa
structured_prompt.lighting.shadowskōwhiringa
structured_prompt.aestheticskōwhiringa
structured_prompt.aesthetics.compositionkōwhiringa
structured_prompt.aesthetics.color_schemekōwhiringa
structured_prompt.aesthetics.mood_atmospherekōwhiringa
structured_prompt.aesthetics.aesthetic_scorekōwhiringa
structured_prompt.aesthetics.preference_scorekōwhiringa
structured_prompt.photographic_characteristicskōwhiringa
structured_prompt.photographic_characteristics.depth_of_fieldkōwhiringa
structured_prompt.photographic_characteristics.focuskōwhiringa
structured_prompt.photographic_characteristics.camera_anglekōwhiringa
structured_prompt.photographic_characteristics.lens_focal_lengthkōwhiringa
structured_prompt.style_mediumkōwhiringa
structured_prompt.text_renderkōwhiringa
structured_prompt.contextkōwhiringa
structured_prompt.artistic_stylekōwhiringa
structured_prompt.trigger_wordkōwhiringa
structured_prompt.sub_trigger_wordkōwhiringa
structured_prompt.art_directionkōwhiringa
structured_prompt.action_descriptionkōwhiringa
structured_prompt.actor_prefixkōwhiringa
image_urlkōwhiringa
image
seedkōwhiringa
Mō ngā tawhā kōnae, whakamahia he URL tūmatanui https://, he URI data: tae atu ki te 10 MB, he file_url rānei o tētahi tukuake. Ngā kōnae
Putanga
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo/generate/structured_prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 10,
"usd": "0.01",
"charged": 10,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"aesthetic_score": "string",
"preference_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [],
"context": "string",
"artistic_style": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Ngā āpure o te putanga
- short_description
- string | nullWhakamārama poto o te atahanga putanga e whāia ana.
- objects
- array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullTauwhāitihia ngā ihirangi o te atahanga whakaputaina hei rārangi, me te tuhi i ngā āhuatanga o ia ahanoa me ō rātou hononga ki ērā atu ahanoa kua whakaaturia.
- background_setting
- string | nullTe papamuri o te atahanga whakaputaina.
- lighting
- object {conditions, direction, shadows} | nullTe rama mō te atahanga whakaputaina.
- aesthetics
- object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score} | nullNgā kounga rerehua mō te atahanga whakaputaina.
- photographic_characteristics
- object {depth_of_field, focus, camera_angle, lens_focal_length} | nullNgā āhuatanga whakaahua mō te atahanga whakaputaina.
- style_medium
- string | nullTe momo toi mō te atahanga whakaputaina.
- text_render
- array of any | nullRārangi tāurunga kuputuhi hei whakauru ki te atahanga.
- context
- string | nullHoropaki mō te atahanga whakaputaina.
- artistic_style
- string | nullTe kāhua toi mō te atahanga whakaputaina.
Ētahi atu rerekētanga Bria Fibo
Ētahi atu tauira: LLM
Mō ngā āpiha AI: kei te wātea tēnei whārangi hei Markdown ki https://doitong.com/mi/developers/models/bria/fibo/generate/structured_prompt.md. Ngā tauira me ngā aratohu katoa: https://doitong.com/developers/llms.txt